<?php

declare(strict_types=1);

namespace App\Domain\Property\ExcelImport;

use App\Domain\Entity\Property\PropertyUsageBusinessType;

class PropertyUsageBusinessTypeMapping
{
    public static function fetchPropertyUsageBusinessTypeByShortName(string $shortName): ?PropertyUsageBusinessType
    {
        return match (strtolower($shortName)) {
            strtolower('KI') => PropertyUsageBusinessType::KIOSK,
            strtolower('TS') => PropertyUsageBusinessType::GAS_STATION,
            strtolower('PB') => PropertyUsageBusinessType::PRICE_BREAKER,
            strtolower('OV') => PropertyUsageBusinessType::RETAIL_WITHOUT_SHOWROOM,
            strtolower('FG') => PropertyUsageBusinessType::SPECIALITY_STORE,
            strtolower('FM') => PropertyUsageBusinessType::SPECIALITY_MARKET,
            strtolower('SM') => PropertyUsageBusinessType::SUPERMARKET,
            strtolower('VM') => PropertyUsageBusinessType::CONSUMER_MARKET,
            strtolower('SB') => PropertyUsageBusinessType::SELF_SERVICE_DEPARTMENT_STORE,
            strtolower('DIS') => PropertyUsageBusinessType::DISCOUNTER,
            strtolower('KH') => PropertyUsageBusinessType::DEPARTMENT_STORE,
            strtolower('WH') => PropertyUsageBusinessType::WAREHOUSE,
            strtolower('BO') => PropertyUsageBusinessType::BOUTIQUE,
            strtolower('PU') => PropertyUsageBusinessType::POPUP_STORE,
            strtolower('AF') => PropertyUsageBusinessType::SHOWROOM,
            strtolower('FO') => PropertyUsageBusinessType::FACTORY_OUTLET,
            strtolower('BUE') => PropertyUsageBusinessType::OFFICE,
            strtolower('COW') => PropertyUsageBusinessType::CO_WORKING_SPACE,
            strtolower('ATE') => PropertyUsageBusinessType::ATELIER,
            strtolower('BAN') => PropertyUsageBusinessType::BANK,
            strtolower('POS') => PropertyUsageBusinessType::POST_OFFICE,
            strtolower('PRA') => PropertyUsageBusinessType::PRACTICE,
            strtolower('WER') => PropertyUsageBusinessType::WORKSHOP,
            strtolower('LAG') => PropertyUsageBusinessType::BEARING,
            strtolower('ARC') => PropertyUsageBusinessType::ARCHIVE,
            strtolower('LAB') => PropertyUsageBusinessType::LABORATORY,
            strtolower('HO') => PropertyUsageBusinessType::HOTEL,
            strtolower('GH') => PropertyUsageBusinessType::INN,
            strtolower('PEN') => PropertyUsageBusinessType::PENSION,
            strtolower('JUG') => PropertyUsageBusinessType::YOUTH_HOSTEL,
            strtolower('RE') => PropertyUsageBusinessType::RESTAURANT,
            strtolower('RMS') => PropertyUsageBusinessType::RESTAURANT_WITH_SELF_SERVICE,
            strtolower('CA') => PropertyUsageBusinessType::COFFEE_SHOP,
            strtolower('IM') => PropertyUsageBusinessType::SNACK_BAR,
            strtolower('BK') => PropertyUsageBusinessType::PUB,
            strtolower('ERL') => PropertyUsageBusinessType::ONE_ROOM_PUB,
            strtolower('DK') => PropertyUsageBusinessType::DISCOTHEQUE,
            strtolower('KANN') => PropertyUsageBusinessType::CANTEEN,
            strtolower('CAT') => PropertyUsageBusinessType::DELIVERY_SERVICE,
            strtolower('BOR') => PropertyUsageBusinessType::BROTHEL,
            strtolower('HRL') => PropertyUsageBusinessType::HIGH_BAY_WAREHOUSE,
            strtolower('HAL') => PropertyUsageBusinessType::HALL,
            strtolower('SPE') => PropertyUsageBusinessType::SHIPPING_COMPANY,
            strtolower('PRO') => PropertyUsageBusinessType::PRODUCTION,
            strtolower('KHA') => PropertyUsageBusinessType::COLD_STORAGE,
            strtolower('REZ') => PropertyUsageBusinessType::DATA_CENTER,
            strtolower('PAH') => PropertyUsageBusinessType::CAR_PARK,
            strtolower('TGA') => PropertyUsageBusinessType::UNDERGROUND_CAR_PARK,
            strtolower('PAR') => PropertyUsageBusinessType::PARKING_LOT,
            strtolower('STL') => PropertyUsageBusinessType::PARKING_SPACE,
            strtolower('GAR') => PropertyUsageBusinessType::GARAGE,
            strtolower('BIB') => PropertyUsageBusinessType::LIBRARY,
            strtolower('SCH') => PropertyUsageBusinessType::SCHOOL,
            strtolower('UNI') => PropertyUsageBusinessType::UNIVERSITY,
            strtolower('HOS') => PropertyUsageBusinessType::UNIVERSITY_OF_APPLIED_SCIENCE,
            strtolower('FOE') => PropertyUsageBusinessType::RESEARCH_INSTITUTION,
            strtolower('KIN') => PropertyUsageBusinessType::KINDERGARTEN,
            strtolower('KIT') => PropertyUsageBusinessType::DAY_CARE_CENTER,
            strtolower('WAI') => PropertyUsageBusinessType::ORPHANAGE,
            strtolower('ALT') => PropertyUsageBusinessType::RETIREMENT_HOME,
            strtolower('STW') => PropertyUsageBusinessType::STUDENT_RESIDENCE,
            strtolower('FRH') => PropertyUsageBusinessType::WOMENS_SHELTER,
            strtolower('PFL') => PropertyUsageBusinessType::NURSING_SERVICE,
            strtolower('KRH') => PropertyUsageBusinessType::HOSPITAL,
            strtolower('FEW') => PropertyUsageBusinessType::FIRE_STATION,
            strtolower('POW') => PropertyUsageBusinessType::POLICE_STATION,
            strtolower('REW') => PropertyUsageBusinessType::RESCUE_STATION,
            strtolower('THE') => PropertyUsageBusinessType::THEATER,
            strtolower('MUS') => PropertyUsageBusinessType::MUSEUM,
            strtolower('KNO') => PropertyUsageBusinessType::CINEMA,
            strtolower('KIR') => PropertyUsageBusinessType::CHURCH,
            strtolower('SPS') => PropertyUsageBusinessType::SPORTS_FACILITY,
            strtolower('SPP') => PropertyUsageBusinessType::PLAYGROUND,
            strtolower('KLH') => PropertyUsageBusinessType::CLIMBING_HALL,
            strtolower('PAK') => PropertyUsageBusinessType::PARK,
            strtolower('SFS') => PropertyUsageBusinessType::OTHER_RECREATIONAL_FACILITY,
            strtolower('SEH') => PropertyUsageBusinessType::SIGHT,
            strtolower('RAT') => PropertyUsageBusinessType::TOWN_HALL,
            strtolower('BBO') => PropertyUsageBusinessType::CITIZENS_BUREAU,
            strtolower('BGZ') => PropertyUsageBusinessType::CIVIC_CENTER,
            strtolower('GER') => PropertyUsageBusinessType::COURT,
            strtolower('SOE') => PropertyUsageBusinessType::OTHER_PUBLIC_FACILITY,
            default => null
        };
    }
}
